/* Copyright (c) 2001 Henri-Pierre Charles. Tous droits reserves */
/**
 *  @version $Revision$
 *  @author Henri-Pierre Charles
 *  NOM<br>
 *    Box<p>
 *  UTILITE<br>
 *     <br>
 *  HISTOIRE <p>
 * <pre>
 *         hpc - May 21, 2001: Created.
 *    $Log$
 * </pre>
 **/
import java.util.* ;

class Box extends Forme
{
    Point3D a, b;
//	 Point3D[] couleur;
	 Vector transformation;

	 public Box ()
	 {
		super();
		transformation = new Vector();
	 }
    public Box (Point3D c, Point3D d, Vector transformation)
    {
	 	super();
		a = c;
		b = d;
		this.transformation = transformation;
    }
    public String toString()
    {
        Object o ;

        for (int i=0; i < (transformation.size ()); i++) {
            o = transformation.elementAt(i);
            if (o instanceof Rotation)
            {
                    return "Rotation:\n";
            }
            else { return "Box: Error\n" ; }
        }

		return "Box: coordonnes "+a.toString ()+" <-> "+b.toString ()+"\n";
    } /* toString */

/*	public void setCouleur(Point3D[] a)
	{
			couleur[0] = a[0];
		if (a.length == 2)
			couleur[1] = a[1];

	}
*/
	public void setPointa(Point3D a)
	{
		this.a = a;
	}

	public void setPointb(Point3D a)
	{
		b = a;
	}

	public void addModif(Modif m)
	{
		transformation.addElement(m);
	}

	public void pov2C(DrawC fich)
	{
		int i;
		Modif m;
		String chaineTmp = "glVertex3i";
		String virg = ",";
		String parOuv = "(";
		String parFerm = ")";
		String pointv = ";";
		String retour = "\n";
		String chaine = "";

		fich.ajoutDraw("\n// ajout d'un cube\n");
		fich.ajoutDraw("\tpointBox1.x = " + a.x + ";\n");
		fich.ajoutDraw("\tpointBox1.y = " + a.y + ";\n");
		fich.ajoutDraw("\tpointBox1.z = " + a.z + ";\n");

		fich.ajoutDraw("\tpointBox2.x = " + b.x + ";\n");
		fich.ajoutDraw("\tpointBox2.y = " + b.y + ";\n");
		fich.ajoutDraw("\tpointBox2.z = " + b.z + ";\n\n");
		
		fich.ajoutDraw("\tglPushMatrix();\n\n");

		for (i=0; i < transformation.size() ; i++)
		{
			m = (Modif)transformation.elementAt(i);
			m.pov2C(fich);
		}

/*		fich.ajoutDraw("couleurBox.r = 0;\n");
		fich.ajoutDraw("couleurBox.v = 1;\n");
		fich.ajoutDraw("couleurBox.b = 0;\n");
*/		
		fich.ajoutDraw("\tafficheBox (pointBox1, pointBox2);\n");//, couleurBox);\n");

		fich.ajoutDraw("\tglPopMatrix();\n");

	}
}
