/* Copyright (c) 2001 Henri-Pierre Charles. Tous droits reserves */
/**
 *  @version $Revision$
 *  @author Henri-Pierre Charles
 *  NOM<br>
 *    Cone<p>
 *  UTILITE<br>
 *     <br>
 *  HISTOIRE <p>
 * <pre>
 *         hpc - May 21, 2001: Created.
 *    $Log$
 * </pre>
 **/
import java.util.*;

class Cone extends Forme
{
    Point3D a, c;
    double  b, d;
	 Vector transformation;

    public Cone ()
    {
	 	super();
		transformation = new Vector();
	 }

    public Cone (Point3D e, double f, Point3D g, double h)
    {
	 	super();
		transformation = new Vector();		
		a = e;
		b = f;
		c = g;
		d = h;
    }
	
	public void addModif(Modif m)
	{
		transformation.addElement(m);
	}


	 public void setTop(Point3D p)
	 {
	 	c = p;
	 }
    

	 public void setBase(Point3D p)
	 {
	 	a = p;
	 }
	 
	 public void setRayon1(double rayon)
	 {
	 	b =rayon;
	 }

	 public void setRayon2(double rayon)
	 {
	 	d =rayon;
	 }

	 
	 public String toString()
    {
	return "Cone: coordonnes "+a.toString ()+" <-> "+c.toString ()+" Rayon base = "+b+" Rayon haut = "+d+ "\n";
    } /* toString */

	public void pov2C(DrawC fich)
	{
		int i;
		Modif m;
		fich.ajoutDraw("\n//ajout d'un Cone\n");

		fich.ajoutDraw("\tpointCone1.x = " + a.x + ";\n");
		fich.ajoutDraw("\tpointCone1.y = " + a.y + ";\n");
		fich.ajoutDraw("\tpointCone1.z = " + a.z + ";\n\n");

		fich.ajoutDraw("\tpointCone2.x = " + c.x + ";\n");
		fich.ajoutDraw("\tpointCone2.y = " + c.y + ";\n");
		fich.ajoutDraw("\tpointCone2.z = " + c.z + ";\n\n");

		fich.ajoutDraw("\tglPushMatrix();\n\n");

		for (i=0; i < transformation.size() ; i++)
		{
			m = (Modif)transformation.elementAt(i);
			m.pov2C(fich);
			if (m instanceof Couleur);
		}
		
		fich.ajoutDraw("\tafficheCone(pointCone1, pointCone2,"+ b+","+d+");\n\n");
		fich.ajoutDraw("\tglColor3d ( couleurCour.r, couleurCour.v, couleurCour.b);\n\n");
		fich.ajoutDraw("\tglPopMatrix();\n\n");

	}


}
