import java.util.*;

class Sphere extends Forme
{
	Point3D centre;
	double rayon;
	Vector transformation;
	
	public Sphere()
	{
		super();
		transformation = new Vector();
		this.centre = centre;
		this.rayon = rayon;
	}
	
	public void setRayon(double rayon)
	{
		this.rayon = rayon;
	}
	
	public void setCentre(Point3D c)
	{
		centre = c;
	}
	
	public void addModif(Modif m)
	{
		transformation.addElement(m);
	}

	
	public void pov2C(DrawC fich)
	{
		int i;
		Modif m;
	
		fich.ajoutDraw("\n// ajout d'une sphere\n");		
		fich.ajoutDraw("\trayonSphere = " + rayon + ";\n");
		fich.ajoutDraw("\tglPushMatrix();\n\n");

		fich.ajoutDraw("\tglTranslated("+ centre.x+","+centre.y +","
							+centre.z+");\n\n");
		for (i=0; i < transformation.size() ; i++)
		{
			m = (Modif)transformation.elementAt(i);
			m.pov2C(fich);
		}
		fich.ajoutDraw("glutSolidSphere(rayonSphere,30,30);\n\n");
		fich.ajoutDraw("glPopMatrix();\n\n");
	
	}
}
