/* Copyright (c) 2001 Henri-Pierre Charles. Tous droits reserves */
/**
 *  @version $Revision$
 *  @author Henri-Pierre Charles
 *  NOM<br>
 *    Union<p>
 *  UTILITE<br>
 *     <br>
 *  HISTOIRE <p>
 * <pre>
 *         hpc - May 21, 2001: Created.
 *    $Log$
 * </pre>
 **/
import java.util.*;
class Union extends Forme
{
	Vector forme;
	Vector transformation;

    public Union (/*Vector forme, Vector transformation*/)
    {
    	forme = new Vector();
		transformation = new Vector();
	 }
    public String toString()
    {
	return "Union\n";
    } /* toString */


	public void addObject(Object o)
	{
		forme.addElement(o);
	}
	
	public void addModif(Object o)
	{
		transformation.addElement(o);
	}

	public void pov2C(DrawC fich)
	{
		int i;
		Modif m;
		Forme f;

		fich.ajoutDraw("\n//ajout d'une Union\n");

		fich.ajoutDraw("\tglPushMatrix();\n");
		for ( i = 0 ; i < transformation.size(); i++)
		{
			m = (Modif)transformation.elementAt(i);
			m.pov2C(fich);
			if (m instanceof Couleur)
			{
				((Couleur)m).empileCouleur(fich);
			}
		}


		for ( i = 0 ; i < forme.size(); i++)
		{
			f = (Forme)forme.elementAt(i);
			f.pov2C(fich);
		}
		
		fich.ajoutDraw("\tglColor3d (couleurCour.r, couleurCour.v, couleurCour.b);\n\n");
		fich.ajoutDraw("\tglPopMatrix();\n");
	}

}
