#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <errno.h>
#include "struct3d.h"

struct noeud {
    couleur c;
    struct noeud *suivant;
};

struct noeud *tete;

void init_pile()
{
    tete = NULL;
}

int emp(couleur c)
{
    struct noeud *z;

    z = (struct noeud *) malloc(sizeof(struct noeud));
    if (z == NULL)
      {
	  return (-1);
      }

    z->suivant = tete;
    tete = z;
    z->c = c;

    return (0);
}

couleur dep()
{
    couleur c;

    c = tete->c;
    tete = tete->suivant;
    return (couleur)c;
}

int pile_vide()
{
    if (tete == NULL)
      {
	  return (1);
      }
    else
      {
	  return (0);
      }
}

void affiche_pile()
{   couleur c;

    while (!pile_vide(tete))
      {
          c = dep(tete);
	  printf("Couleur (%f, %f, %f)", c.r, c.v, c.b);
      }
    printf("NULL\n");

}
