// Position de l'oeil de l'utilisateur
camera 
{
  location <0, 0, -7>
  look_at  <0, 0,  0>
}
// Trois objets empiles que l'on fait tourner selon l'axe dex y
// en s'loignant
union
{
	box 
	{
	  <-1, 1, -1>, < 1, 2,  1>
  	texture 
  		{
  		  pigment { color rgb <1,0,0> } // Couleur rouge
  		}
	}
	box 
	{
		<-1, -1, -1>, < 1, 1,  1>
  		texture 
  		{
    		pigment {  color rgb <1,1,0> } // Couleur jaune
		}
  	}
	box 
	{
	  <-1, -2, -1>, < 1, -1,  1>
	  texture 
	  {
	    pigment { color rgb <0,0,1> } // Couleur bleue
	  }
	}
	rotate <0,360*clock,0>
	translate <0, 0, clock*10>
}
// Un spot de couleur blanche qui regarde l'origine
light_source
{
    <0, 0, -5>
    color rgb <1, 1, 1>
    spotlight
    radius 90
    falloff 90
    tightness 10
    point_at <0, 0, 0>
 }
plane 
{ 
  y, -5
  pigment { checker color rgb <0,0,0> color rgb <1,1,1> }
}
