/* Copyright (c) 2001 Henri-Pierre Charles. Tous droits reserves */
/**
 *  @version $Revision$
 *  @author Henri-Pierre Charles
 *  NOM<br>
 *    Cylindre<p>
 *  UTILITE<br>
 *     <br>
 *  HISTOIRE <p>
 * <pre>
 *         hpc - May 21, 2001: Created.
 *    $Log$
 * </pre>
 **/
import java.util.* ;


class Cylindre extends Forme
{
    Point3D a, b;
    double rayon;
	 Vector transformation;

    public Cylindre ()
	 {
	 	super();
		transformation = new Vector();
	 }
    public Cylindre (Point3D d, Point3D e, double f, Vector transformation)
    {
		super();
		a = d;
		b = e;
                rayon = f;
		this.transformation = transformation;
    }

	public void setRayon(double r)
	{
		rayon = r;
	}

	public void addModif(Modif m)
	{
		transformation.addElement(m);
	}

	public void setPointa(Point3D a)
	{
		this.a = a;
	}

	public void setPointb(Point3D a)
	{
		b = a;
	}


    public String toString()
    {
        Object o ;

        for (int i=0; i < (transformation.size ()); i++) {
            o = transformation.elementAt(i);
            if (o instanceof Rotation)
            {
                    return "Rotation:\n";
            }
            else { return "Box: Error\n" ; }
        }

		return "Box: coordonnes "+a.toString ()+" <-> "+b.toString ()+"\n";
    } /* toString */

	public void pov2C(DrawC fich)
	{
		double hauteur, x, y, z;
		int i;
		Modif m;
		String chaineTmp = "glVertex3i";
		String virg = ",";
		String parOuv = "(";
		String parFerm = ")";
		String pointv = ";";
		String retour = "\n";
		String chaine = "";

		x=  (b.x - a.x)*(b.x - a.x);
		y= (b.y - a.y)*(b.y - a.y);
		z= (b.z - a.z)*(b.z - a.z);
		hauteur = x+y+z;
		hauteur = Math.sqrt(hauteur);
		x = b.x-a.x;
		y = b.y-a.y;
		z = b.z-a.z;

		fich.ajoutDraw("\n// ajout d'un cylindre\n");
		fich.ajoutDraw("\trayonCylindre = "+ rayon + ";\n");
		fich.ajoutDraw("\thauteurCylindre = "+ hauteur + ";\n");		

		fich.ajoutDraw("\tglPushMatrix();\n");


		for (i=0; i < transformation.size() ; i++)
		{
			m = (Modif)transformation.elementAt(i);
			m.pov2C(fich);
		}

		fich.ajoutDraw("\tpointCylindre1.x = "+ a.x + ";\n");
		fich.ajoutDraw("\tpointCylindre1.y = "+ a.y + ";\n");
		fich.ajoutDraw("\tpointCylindre1.z = "+ a.z + ";\n\n");


		fich.ajoutDraw("\tpointCylindre2.x = "+ b.x + ";\n");
		fich.ajoutDraw("\tpointCylindre2.y = "+ b.y + ";\n");
		fich.ajoutDraw("\tpointCylindre2.z = "+ b.z + ";\n\n");


		fich.ajoutDraw("\tafficheCylinder("+rayon+",pointCylindre1, pointCylindre2);\n");

/*

		fich.ajoutDraw("glTranslated("+ a.x+","+a.y +","
							+a.z+");\n");


		fich.ajoutDraw("glRotated(" + x + ",1,0,0);\n");
		fich.ajoutDraw("glRotated(" + y + ",0,1,0);\n");
		fich.ajoutDraw("glRotated(" + z + ",0,0,1);\n");

//  affichage du disque 1 
		fich.ajoutDraw("gluDisk(qobj,0,"+rayon+",10,10);\n");

//  affichage du disque 2 
		
		fich.ajoutDraw("glPushMatrix();\n");
		fich.ajoutDraw("glTranslated("+ x+","+y +","
							+z+");\n");
		fich.ajoutDraw("gluDisk(qobj,0,"+rayon+",10,10);\n");
		fich.ajoutDraw("glPopMatrix();\n");		

// affichage du cylindre 
		fich.ajoutDraw("gluCylinder(qobj, rayonCylindre, rayonCylindre,"+
							" hauteurCylindre, 10,10);\n");
*/
		fich.ajoutDraw("\tglPopMatrix();\n\n");
	
	}
}
