#!/bin/sh

if [ $# -ne 1 ]
then
        prefixe="Photo"
else
	prefixe=$1
fi

ppm_list=`ls $prefixe????.ppm 2>/dev/null`
if [ ! "$ppm_list" ]
then
	echo "Can't find ppm files."
	exit 0
fi


for i in $ppm_list
do
echo $i
        base_name=`basename $i .ppm`
	echo $base_name.gif
	cat $i | ppmquant -fs 256 | ppmtogif > $base_name.gif
	rm $i
done

gifasm -A 10 `ls $prefixe????.gif` > $prefixe.gif
rm $prefixe????.gif
