//global_settings { ambient_light rgb<1, 1, 1> }
// Position de l'oeil de l'utilisateur
camera 
{
  location <0, 10, -7>
  look_at  <0, 7,  0>
}
union
{
	cylinder // La tete
	{
		<0, 0, 0>, < 0, 2, 0>, 1
		translate <0, 7, 0>
	
	}
	cylinder // Les paules
	{
		<-2, 0, 0>, < 2, 0, 0>, 1
		translate <0, 1, 0>
	}
	union // Les bras
	{
		cylinder // Bras g
		{
		  	<0, 0, 0>, <0, -4, 0>, 0.5
			rotate < 45*(1-2*clock), 0, 0>
			translate <-2, 0, 0>
		}
		cylinder // Bras d
		{
		  	<0, 0, 0>, <0, -4, 0>, 0.5
			rotate < -45*(1-2*clock), 0, 0>
			translate <2, 0, 0>
		}
		translate <0, 5, 0>
	}
	union // Les jambes
	{
		cylinder // jambe g
		{
		  	<0, 0, 0>, <0, -4, 0>, 0.7
			rotate < 45*(1-2*clock), 0, 0>
			translate <-2, 0, 0>
		}
		cylinder // Bras d
		{
		  	<0, 0, 0>, <0, -4, 0>, 0.7
			rotate < -45*(1-2*clock), 0, 0>
			translate <2, 0, 0>
		}
	}
	cylinder // Le tronc
	{
		<0, 0, 0>, < 0, -6, 0>, 1.5
		translate <0, 6, 0>
	}
  	texture {  
		pigment { color rgb <1,0,0> }
	} // Couleur rouge
	translate <0, 0, 20-10*clock>
}
// 2 spots de couleur blanche qui suivent le robot
light_source
{
    <0, 0, 0>
    color rgb <1, 1, 1>
    spotlight
    radius 90
    falloff 90
    tightness 5
    point_at <0, 5, 20-10*clock>
 }
light_source
{
    <0, -5, 0>
    color rgb <1, 1, 1>
    spotlight
    radius 90
    falloff 90
    tightness 5
    point_at <0, 5, 20-10*clock>
}
plane 
{ 
 y, -5
  pigment { checker color rgb <0,0,0> color rgb <1,1,1> }
}
